## ros-lunar-resource-retriever 1.12.4

=== debian/changelog ===
ros-lunar-resource-retriever (1.12.4-0xenial) xenial; urgency=high

  * Fix an intermittent test failure.
    Both the C++ and python tests were using test/large_file.dat,
    which means if they were run concurrently, they would sometimes
    collide.  Avoid this by having them use different filenames.
  * Cleanup resource_retriever packaging.
    In particular, make sure that resource_retriever properly
    depends on all of the things it needs.  While we are in here,
    switch over to package xml version 2.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 19 Mar 2018 00:00:00 -0000

ros-lunar-resource-retriever (1.12.3-0xenial) xenial; urgency=high

  * Fix C++11 to use set_directory_properties
  * Make Shane and Chris the maintainers.
  * Python3 compatibility (#10 <https://github.com/ros/resource_retriever/issues/10>)
    * Replace urlgrabber with urllib[2]
    As urlgrabber is not supported for Python 3 replace it with either the built-in urllib (Python 2) or urllib2 (Python 3)
    * Use rospkg instead of system call for rospack
    * Add test for python functionality
    * Fix rospkg dependency definition
  * Update URL in http test to something which exists (#8 <https://github.com/ros/resource_retriever/issues/8>)
    * Update URL in http test to something which exists
  * Contributors: Chris Lalancette, Mike Purvis, Ruben Smits

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-lunar-resource-retriever (1.12.2-0xenial) xenial; urgency=high

  * fix failing build due to cmake error (#6 <https://github.com/ros/resource_retriever/issues/6>)
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-lunar-resource-retriever (1.12.1-0xenial) xenial; urgency=high

  * Fix warnings in test (#5 <https://github.com/ros/resource_retriever/issues/5>)
    add spaces around ROS_PACKAGE_NAME
  * Merge pull request #4 <https://github.com/ros/resource_retriever/issues/4> from DLu/kinetic-devel
    Add c++11 flag
  * Contributors: David V. Lu!!, Jackie Kay, Steven Peters

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-lunar-resource-retriever (1.12.0-0xenial) xenial; urgency=high

  * resource_retriever: adding missing dep
    Using the python resource_retriever requires the python-urlgrabber system dependency: http://rosindex.github.io/d/python-urlgrabber/
  * Contributors: Jonathan Bohren

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 23 Mar 2016 00:00:00 -0000

ros-lunar-resource-retriever (1.11.6-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-lunar-resource-retriever (1.11.5-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-lunar-resource-retriever (1.11.4-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-lunar-resource-retriever (1.11.3-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-lunar-resource-retriever (1.11.2-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 00:00:00 -0000

ros-lunar-resource-retriever (1.11.1-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 00:00:00 -0000

ros-lunar-resource-retriever (1.11.0-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-lunar-resource-retriever (1.10.18-0xenial) xenial; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 00:00:00 -0000

ros-lunar-resource-retriever (1.10.16-0xenial) xenial; urgency=high

  * check for CATKIN_ENABLE_TESTING

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 18 Nov 2013 00:00:00 -0000

ros-lunar-resource-retriever (1.10.15-0xenial) xenial; urgency=high

  * resource_retriever: install python package using setup.py

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 17 Aug 2013 00:00:00 -0000
